> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x-mart.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Este endpoint permite registrar o editar una lista en el sistema

> This endpoint updates information for an existing product



## OpenAPI

````yaml PUT /api/v3/products/{update}
openapi: 3.0.1
info:
  title: Api V3 documentación
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.artisn.desarrollo-redbrand.com/api
  - url: https://api.kfc-group.desarrollo-redbrand.com
  - url: https://{apiId}.execute-api.{region}.amazonaws.com/{stage}
    description: API Gateway (PRIVATE; invocación típica vía VPC endpoint).
    variables:
      apiId:
        default: '{api-id}'
        description: ID del API REST desplegado.
      region:
        default: us-east-1
      stage:
        default: dev
        description: Mismo valor que parámetro EnvironmentName del stack.
security:
  - bearerAuth: []
paths:
  /api/v3/products/{update}:
    put:
      summary: Update product
      description: This endpoint updates information for an existing product
      operationId: updateProduct
      requestBody:
        description: Updated product information
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                productId:
                  type: string
                  example: Coffee-product-id
                name:
                  type: string
                  example: Small Coffee
                type:
                  type: string
                  example: PRODUCT
                description:
                  type: string
                  example: The bestest Coffee
                standardTime:
                  type: boolean
                  example: true
                featured:
                  type: boolean
                  example: true
                schedules:
                  type: array
                  items:
                    type: object
                    properties:
                      day:
                        type: string
                        example: MONDAY
                      startDate:
                        type: string
                        format: date
                        example: '2019-02-24'
                      endDate:
                        type: string
                        format: date
                        example: '2019-02-25'
                      startTime:
                        type: string
                        format: time
                        example: '08:00'
                      endTime:
                        type: string
                        format: time
                        example: '12:00'
                tags:
                  type: array
                  items:
                    type: string
                    example: to share
                upselling:
                  type: array
                  items:
                    type: string
                    example: lg-coffee
                images:
                  type: array
                  items:
                    type: object
                    properties:
                      imageCategoryId:
                        type: string
                        example: product
                      fileUrl:
                        type: string
                        format: uri
                        example: https://path/to/file.png
                taxesInfo:
                  type: object
                  properties:
                    taxRate:
                      type: number
                      example: 0
                    vatRatePercentage:
                      type: number
                      example: 0
                priceInfo:
                  type: object
                  properties:
                    price:
                      type: number
                      example: 4.99
                    pointPrice:
                      type: number
                      nullable: true
                      example: null
                categories:
                  type: array
                  items:
                    type: string
                    example: Coffes-category-id
                additionalInfo:
                  type: object
                  properties:
                    menu_level:
                      type: integer
                      example: 0
              required:
                - productId
                - name
                - type
                - description
      responses:
        '200':
          description: Product updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Producto actualizado exitosamente.
                  productId:
                    type: string
                    example: Coffee-product-id
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Invalid data
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````